From 8d5ccb19bd16da3d141b6f7faec02b82512d25f0 Mon Sep 17 00:00:00 2001
From: Deepak Dhamdhere <ddhamdhe@codeaurora.org>
Date: Wed, 6 Dec 2017 13:32:42 -0800
Subject: [PATCH 1/2] qcacld-3.0: Enable OCE options in WCNSS_qcom_cfg.ini

1. Enable SAP, i.e. STA-CFON related options
2. Disable adaptive dwell time
3. Use parameters suitable for AP selection metrics.

This change is required only for WFA branch.

CRs-Fixed: 2142139
Change-Id: Iab90ad578658bb2a1f5af78d6329c4fb94da92e7
---
 WCNSS_qcom_cfg.ini | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

diff --git a/WCNSS_qcom_cfg.ini b/WCNSS_qcom_cfg.ini
index aa9db64..81350bb 100644
--- a/WCNSS_qcom_cfg.ini
+++ b/WCNSS_qcom_cfg.ini
@@ -433,14 +433,28 @@ gEnableFlowSteering=1
 gEnableNanSupport=1
 ################ NAN feature set end #####################
 
-adaptive_dwell_mode_enabled=1
+# Disable adaptive dwell time feature for WFA OCE compatibility
+adaptive_dwell_mode_enabled=0
 
-hostscan_adaptive_dwell_mode=1
+hostscan_adaptive_dwell_mode=0
 
 adapt_dwell_lpf_weight=80
 
 adapt_dwell_wifi_act_threshold=10
 
+# Enable various OCE features
+oce_enable_fils_discovery_sap=1
+oce_enable_probe_req_rate=1
+oce_enable_probe_resp_rate=1
+oce_enable_beacon_rate=1
+oce_enable_probe_req_deferral=1
+
+# Disable bssid_hint to allow AP selection metrics
+g_is_bssid_hint_priority=0
+
+# Threshold for AP selection metrics
+esp_qbss_score_idx7_to_4=0000000A
+
 END
 
 # Note: Configuration parser would not read anything past the END marker
-- 
1.9.1


From a2bd7c14b45a9f558c3330c950cbb8755136da55 Mon Sep 17 00:00:00 2001
From: Ankita Bajaj <bankita@codeaurora.org>
Date: Wed, 4 Oct 2017 18:10:53 +0530
Subject: [PATCH 2/2] Enable interworking in wpa_supplicant

Set interworking bit in Probe Request.

Change-Id: I62fd1173fac33951bf776d401f5d54d6e956fc0d
---
 wpa_supplicant_overlay.conf | 1 +
 1 file changed, 1 insertion(+)

diff --git a/wpa_supplicant_overlay.conf b/wpa_supplicant_overlay.conf
index 58c2639..af0e834 100644
--- a/wpa_supplicant_overlay.conf
+++ b/wpa_supplicant_overlay.conf
@@ -1,2 +1,3 @@
 disable_scan_offload=1
 p2p_disabled=1
+interworking=1
-- 
1.9.1

